package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * RetryDropRate
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class RetryDropRate   {
  @JsonProperty("retryEaps")
  @Valid
  private List<RetryEap> retryEaps = null;

  @JsonProperty("droppedEaps")
  @Valid
  private List<DropEap> droppedEaps = null;

  public RetryDropRate retryEaps(List<RetryEap> retryEaps) {
    this.retryEaps = retryEaps;
    return this;
  }

  public RetryDropRate addRetryEapsItem(RetryEap retryEapsItem) {
    if (this.retryEaps == null) {
      this.retryEaps = new ArrayList<>();
    }
    this.retryEaps.add(retryEapsItem);
    return this;
  }

  /**
   * AP list of retransmission packet rates tab, in descending order of average
   * @return retryEaps
  */
  @ApiModelProperty(value = "AP list of retransmission packet rates tab, in descending order of average")

  @Valid

  public List<RetryEap> getRetryEaps() {
    return retryEaps;
  }

  public void setRetryEaps(List<RetryEap> retryEaps) {
    this.retryEaps = retryEaps;
  }

  public RetryDropRate droppedEaps(List<DropEap> droppedEaps) {
    this.droppedEaps = droppedEaps;
    return this;
  }

  public RetryDropRate addDroppedEapsItem(DropEap droppedEapsItem) {
    if (this.droppedEaps == null) {
      this.droppedEaps = new ArrayList<>();
    }
    this.droppedEaps.add(droppedEapsItem);
    return this;
  }

  /**
   * AP list of packet loss rate tab, in descending order of average value
   * @return droppedEaps
  */
  @ApiModelProperty(value = "AP list of packet loss rate tab, in descending order of average value")

  @Valid

  public List<DropEap> getDroppedEaps() {
    return droppedEaps;
  }

  public void setDroppedEaps(List<DropEap> droppedEaps) {
    this.droppedEaps = droppedEaps;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RetryDropRate retryDropRate = (RetryDropRate) o;
    return Objects.equals(this.retryEaps, retryDropRate.retryEaps) &&
        Objects.equals(this.droppedEaps, retryDropRate.droppedEaps);
  }

  @Override
  public int hashCode() {
    return Objects.hash(retryEaps, droppedEaps);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RetryDropRate {\n");
    
    sb.append("    retryEaps: ").append(toIndentedString(retryEaps)).append("\n");
    sb.append("    droppedEaps: ").append(toIndentedString(droppedEaps)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

